Subject: Re: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 May 2012 19:32:04 +0300

> Date: Thu, 10 May 2012 09:00:49 +0300
> From: Dov Grobgeld <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I tried running file-list-exec-source-files and I get duplicates as well.
> Try the following:
> 
> prompt> echo -file-list-exec-source-files > /tmp/gdb.in
> prompt> gdb -i=mi emacs < /tmp/gdb.in > /tmp/gdb.out
> prompt> perl -ne 'while(/(\w+)=\"(.*?)\"/g) { print "$1=$2\n"; }'
> /tmp/gdb.out | sort | head -15
> file=alloc.c
> file=alloc.c
> file=allocator.c
> file=atimer.c
> file=atimer.c
> file=bidi.c
> file=bidi.c
> file=buffer.c
> file=buffer.c
> file=buffer.h
> file=buffer.h
> file=buffer.h
> file=buffer.h
> file=buffer.h
> file=buffer.h

I don't see anything like that.  Here's my output:

  addr=0x011b4ea5
  addr=0x011b4ea5
  addr=0x012329a8
  disp=del
  disp=del
  disp=keep
  enabled=y
  enabled=y
  enabled=y
  file=../lib/allocator.h
  file=../lib/careadlinkat.h
  file=../lib/ignore-value.h
  file=../lib/intprops.h
  file=../lib/intprops.h
  file=../lib/intprops.h

IOW, all the duplicates I see are header files.  Not a single .c file
shows up, not even if I change "head -15" into "head -100".

> My version of gdb is:
> 
> GNU gdb (GDB) Fedora (7.2-52.fc14)

Maybe you should upgrade, I dunno.  I use 7.4.1, FWIW.

Or maybe GCC versions later than what I have do that.

> For my executable gdb outputs full paths as well as the fullname field,
> which expands the output considerably.

Here too, but that's expected (and necessary).